#
# spec file for package perl-Text-Template (Version 1.44)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           perl-Text-Template
URL:            http://www.cpan.org
License:        GPL, Artistic License
Group:          Development/Libraries/Perl
Requires:       perl = %{perl_version}
Autoreqprov:    on
Summary:        Text::Template - Expand Template Text with Embedded Perl
Version:        1.44
Release:        13.1
Source:         Text-Template-%version.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This is a library for generating form letters, building HTML pages, or
filling in templates generally. A 'template' is a piece of text that
has small Perl programs embedded in it here and there. When you 'fill
in' a template, you evaluate the small programs and replace them with
their values.

You can store a template in a file outside your program. People can
modify the template without modifying the program. You can separate the
formatting details from the main code, and put the formatting parts of
the program into the template. That prevents code bloat and encourages
functional separation.



Authors:
--------
    Mark Jason Dominus <mjd-perl-template+@plover.com>

%debug_package
%prep
%setup -n Text-Template-%{version}

%build
perl Makefile.PL
make

%install
[ -d %{buildroot} -a "%{buildroot}" != "" ] && rm -rf  %{buildroot}
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%clean
[ -d %{buildroot} -a "%{buildroot}" != "" ] && rm -rf  %{buildroot}

%files
%defattr(-,root,root)
%doc MANIFEST README
%{perl_vendorlib}/Text
%{perl_vendorarch}/auto/Text
%doc %{_mandir}/man3/Text*
/var/adm/perl-modules/perl-Text-Template

%changelog -n perl-Text-Template
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jul 09 2004 - hvogel@suse.de
- New Package: Version 1.44
